Bug 1304680 - When network is down, "auto-attach" button could say more detailed message
When network is down, "auto-attach" button could say more detailed message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager (Show other bugs)
6.8
x86_64 Linux
low Severity low
: rc
: ---
Assigned To: William Poteat
John Sefler
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-04 05:46 EST by Jan Stavel
Modified: 2018-03-14 16:08 EDT (History)
3 users (show)

See Also:
Fixed In Version: subscription-manager-1.17.3-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-03-14 16:08:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error message (375.57 KB, image/png)
2016-02-04 05:46 EST, Jan Stavel
no flags Details

  None (edit)
Description Jan Stavel 2016-02-04 05:46:39 EST
Created attachment 1121077 [details]
Error message

Description of problem:

When network is done, "auto-attach" button says 
  "Error subscribing".

Other button ("All available subscriptions" -> "Load") says 
  "Network problem, unable to connect to server, ...".

More specific message similar the above one could be helpfull.


Version-Release number of selected component (if applicable):
: Red Hat Enterprise Linux Client release 6.7 (Santiago)
: server type                      Red Hat Subscription Management
: subscription management server   0.9.51.15-1
: subscription management rules    5.15.1
: subscription-manager             1.16.8-1.el6
: python-rhsm                      1.16.6-1.el6


How reproducible:


Steps to Reproduce:
1. I register a system with success. 
2. I set wrong server.hostname.
   sed -i 's/^hostname[ \t]*=[ \t].*$/hostname = some.wrong/' /etc/rhsm/rhsm.conf;
3. I run subscription-manager-gui

When I click on "Auto-attach" button.
then I see message "Error subscribing"
 

Actual results:

I see message "Error subscribing".

Expected results:

The message is not wrong. But could be more detailed.
Similar to message that gives button "Load":
"Network error, unable to connect server, please see ...".

Additional info:
Comment 1 William Poteat 2016-03-02 11:06:52 EST
master commit 4192f5f277a64b2b1f482d0549b04c1295a7e9c3
Comment 2 Mike McCune 2016-03-28 19:46:11 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 4 Jan Kurik 2017-12-06 07:10:42 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.